Bug 1136990 - TypeError: must be an interface
Summary: TypeError: must be an interface
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 21
Hardware: armv7l
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8ffd006f82524319c22a4277f16...
Keywords:
Depends On:
Blocks: ARMTracker F21AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2014-09-03 19:02 UTC by Paul Whalen
Modified: 2016-11-24 12:33 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 17:22:35 UTC


Attachments (Terms of Use)
File: anaconda-tb (153.39 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: anaconda.log (6.61 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: environ (448 bytes, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: lsblk_output (1.47 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: nmcli_dev_list (983 bytes, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: os_info (377 bytes, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: program.log (24.56 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: storage.log (54.26 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: syslog (41.61 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: ifcfg.log (1.38 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details
File: packaging.log (1.58 KB, text/plain)
2014-09-03 19:02 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2014-09-03 19:02:43 UTC
Description of problem:
network installion using F21 Alpha TC5 Server repo

Version-Release number of selected component:
anaconda-21.48.3-1

The following was filed automatically by anaconda:
anaconda 21.48.3-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/gi/types.py", line 234, in __init__
    register_interface_info(cls.__info__.get_g_type())
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 222, in __getattr__
    wrapper = metaclass(name, bases, dict_)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 320, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 109, in get_interfaces_for_object
    interfaces.append(getattr(module, name))
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 183, in __getattr__
    interfaces = tuple(interface for interface in get_interfaces_for_object(info)
  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 118, in <module>
    class Widget(Gtk.Widget):
  File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 296, in _load
    self._overrides_module = importlib.import_module('gi.overrides.' + self._namespace)
  File "/usr/lib/python2.7/site-packages/gi/importer.py", line 67, in load_module
    dynamic_module._load()
  File "/usr/lib/python2.7/site-packages/pyanaconda/exception.py", line 103, in handleException
    from gi.repository import Gtk
  File "/usr/lib/python2.7/site-packages/meh/handler.py", line 161, in <lambda>
    self.handleException(DumpInfo(ExceptionInfo(ty, value, tb), obj))
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/tui/__init__.py", line 52, in exception_msg_handler
    sys.excepthook(*msg_data[0])
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 399, in process_events
    handler(event, data)
TypeError: must be an interface

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   console=ttyS0,115200 ip=eth0:dhcp inst.repo=http://dl.fedoraproject.org/pub/alt/stage/21-Alpha-TC5/Server/armhfp/os/
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.1-301.fc21.armv7hl
product:        Fedora-Server
release:        Cannot get release name.
type:           anaconda
version:        21-Alpha-TC5

Comment 1 Paul Whalen 2014-09-03 19:02:45 UTC
Created attachment 934196 [details]
File: anaconda-tb

Comment 2 Paul Whalen 2014-09-03 19:02:46 UTC
Created attachment 934197 [details]
File: anaconda.log

Comment 3 Paul Whalen 2014-09-03 19:02:47 UTC
Created attachment 934198 [details]
File: environ

Comment 4 Paul Whalen 2014-09-03 19:02:48 UTC
Created attachment 934199 [details]
File: lsblk_output

Comment 5 Paul Whalen 2014-09-03 19:02:49 UTC
Created attachment 934200 [details]
File: nmcli_dev_list

Comment 6 Paul Whalen 2014-09-03 19:02:50 UTC
Created attachment 934201 [details]
File: os_info

Comment 7 Paul Whalen 2014-09-03 19:02:51 UTC
Created attachment 934202 [details]
File: program.log

Comment 8 Paul Whalen 2014-09-03 19:02:52 UTC
Created attachment 934203 [details]
File: storage.log

Comment 9 Paul Whalen 2014-09-03 19:02:53 UTC
Created attachment 934204 [details]
File: syslog

Comment 10 Paul Whalen 2014-09-03 19:02:54 UTC
Created attachment 934205 [details]
File: ifcfg.log

Comment 11 Paul Whalen 2014-09-03 19:02:55 UTC
Created attachment 934206 [details]
File: packaging.log

Comment 12 David Shea 2014-09-04 13:36:43 UTC
Are there any messages printed to the console around the time of the crash? A failure in importing the Gtk module probably indicates a missing or broken library or typelib somewhere.

Comment 13 Paul Whalen 2014-09-04 18:08:38 UTC
printed to the console:

** (process:1926): WARNING **: Failed to load shared library 'libgdk-3.so.0' referenced by the typelib: dlopen: cannot load any more object with static TLS

Comment 14 David Shea 2014-09-04 18:20:47 UTC
Huh. I don't think there's really anything anaconda can do about that. One option for a similar problem discussed in bug 1124987 was to increase the number of slots for static TLS libraries in glibc, so reassigning to glibc for investigation of that for this particular case.

Comment 15 Paul Whalen 2014-09-10 16:40:16 UTC
Proposed Blocker:

When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces.

Comment 16 Adam Williamson 2014-09-10 16:46:09 UTC
So I believe https://admin.fedoraproject.org/updates/glibc-2.19.90-36.fc21 - which does bump the number of TLS slots - should fix this?

Comment 17 Adam Williamson 2014-09-10 16:48:03 UTC
Discussed at 2014-09-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Accepted as a blocker per criterion cited in c#15 for ARM traditional install (which server SIG concluded we care about, even though it's not the most common case).

Comment 18 Adam Williamson 2014-09-11 17:22:35 UTC
updated glibc was pushed stable, so I'm going to close this; please re-open if it doesn't work with TC7.


Note You need to log in before you can comment on or make changes to this bug.